#ifndef __WORDS_H__
#define __WORDS_H__

#include <stdio.h>

#define MAX_WORD_SIZE 1024

typedef char *Word;

/* Get next word from in_doc, return -1 if no more words to read.
 * Copy all non-alpha characters directly to output. */
int get_word (FILE *in_doc, Word w, FILE *out_doc);
/* Write this word to out_doc. */ 
void put_word(FILE *out_doc, Word w);

#endif