#include <stdio.h>
#include "words.h"

typedef struct dict *Dictionary;

/* Load dictionary from given path */
Dictionary load_dict(char *path);

/* Create an empty dictionary */
Dictionary create_empty_dict();

/* Save dictionary to given path */
void save_dict(Dictionary d, char *path);

/* Add given word to dictionary */
void add_to_dict(Dictionary d, Word w);

/* Checks wether word is in dictionary. */
int is_known(Dictionary d, Word w);

