import java.io.*;

public class Spellcheck {

    private static Dictionary mainDict = new Dictionary();
    private static Dictionary ignored = new Dictionary();


    public static Word consultUser(Word w)
    {
       return w;
    }

    public static void processDocument(String inPath, String outPath)
                       throws IOException
    {
        BufferedReader inDoc = new BufferedReader(new FileReader(inPath));
        BufferedWriter outDoc = new BufferedWriter( new FileWriter(outPath));

        try {
            for (;;) {
                Word cw= Word.getWord(inDoc, outDoc);
                if (! mainDict.contains(cw) && ! ignored.contains(cw)) {
                    cw= consultUser(cw);
                }
                cw.putWord(outDoc);
            }
        } catch (EOFException e) {
            inDoc.close();
            outDoc.close();
        }
    }

    public static void main(String[] args)
    {
        try {
             mainDict.load("dictionary.txt");
             processDocument(args[0], args[1]);
             mainDict.save("dictionary.txt");
        } catch (IOException e) {
            System.out.println("*** ERROR: "+ e.toString());
        }
    }


}
